This discussion is archived
5 Replies Latest reply: Nov 11, 2012 4:55 PM by cj RSS

Install Oracle 11gR2 on Fedora17

lesak Newbie
Currently Being Moderated
During install Oracle 11gR2 on Fedora 17 I've got an error box. I check oraInventory and there are such errors:
INFO: Exception thrown from action: make
Exception Name: MakefileException
Exception String: Error in invoking target 'install' of makefile '/oracle/ora/product/11.2.0/db_1/ctx/lib/ins_ctx.mk'. See '/oracle/oraInventory/logs/installActions2012-11-07_03-53-55PM.log' for details.
Exception Severity: 1
INFO: Adding ExitStatus STOP_INSTALL to the exit status set
INFO: Finding the most appropriate exit status for the current application
INFO: Exit Status is -4
INFO: Shutdown Oracle Database 11g Release 2 Installer
INFO: Unloading Setup Driver
For me it sound like some packages missing. Oracle inform me before I started install process, that several of my packages don't exist http://dl.dropbox.com/u/368042/oracle_install.png
but it's not true! I have all this packages but in higher version:
[]# rpm -qa | grep -w 'libaio\|libgcc\|compat-libstdc\|libstdc\|unixODBC\|pdksh' | sort
compat-libstdc++-33-3.2.3-68.3.i686
compat-libstdc++-33-3.2.3-68.3.x86_64
libaio-0.3.109-5.fc17.i686
libaio-0.3.109-5.fc17.x86_64
libaio-devel-0.3.109-5.fc17.i686
libaio-devel-0.3.109-5.fc17.x86_64
libgcc-4.7.2-2.fc17.i686
libgcc-4.7.2-2.fc17.x86_64
libstdc++-4.7.2-2.fc17.i686
libstdc++-4.7.2-2.fc17.x86_64
libstdc++-devel-4.7.2-2.fc17.x86_64
libstdc++-docs-4.7.2-2.fc17.x86_64
libstdc++-static-4.7.2-2.fc17.x86_64
unixODBC-2.3.1-1.fc17.i686
unixODBC-2.3.1-1.fc17.x86_64
unixODBC-devel-2.3.1-1.fc17.i686
unixODBC-devel-2.3.1-1.fc17.x86_64
unixODBC-gui-qt-0-0.5.20120105svn98.fc17.x86_64
What should I do in such situation?

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points